com.genesyslab.wfm8.API.service.performance800

## Class SPerfAlertSettings

- java.lang.Object
- - com.genesyslab.wfm8.API.service.performance800.SPerfAlertSettings

- All Implemented Interfaces:
    java.io.Serializable

      public class SPerfAlertSettings
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `enabled`
    `protected int` | `item`
    `protected double` | `maxDeviationPCT`
    `protected double` | `minDeviationPCT`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPerfAlertSettings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getEnabled()` Gets the enabled value for this SPerfAlertSettings.
    `int` | `getItem()` Gets the item value for this SPerfAlertSettings.
    `double` | `getMaxDeviationPCT()` Gets the maxDeviationPCT value for this SPerfAlertSettings.
    `double` | `getMinDeviationPCT()` Gets the minDeviationPCT value for this SPerfAlertSettings.
    `int` | `hashCode()`
    `void` | `setEnabled(int enabled)` Sets the enabled value for this SPerfAlertSettings.
    `void` | `setItem(int item)` Sets the item value for this SPerfAlertSettings.
    `void` | `setMaxDeviationPCT(double maxDeviationPCT)` Sets the maxDeviationPCT value for this SPerfAlertSettings.
    `void` | `setMinDeviationPCT(double minDeviationPCT)` Sets the minDeviationPCT value for this SPerfAlertSettings.
    `java.lang.String` | `toString()`
    `SPerfAlertSettings` | `withEnabled(int value)`
    `SPerfAlertSettings` | `withItem(int value)`
    `SPerfAlertSettings` | `withMaxDeviationPCT(double value)`
    `SPerfAlertSettings` | `withMinDeviationPCT(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### item

          protected int item

    - #### enabled

          protected int enabled

    - #### minDeviationPCT

          protected double minDeviationPCT

    - #### maxDeviationPCT

          protected double maxDeviationPCT

  - ### Constructor Detail

    - #### SPerfAlertSettings

          public SPerfAlertSettings()

  - ### Method Detail

    - #### getItem

          public int getItem()

      Gets the item value for this SPerfAlertSettings.
      Returns:
        item

    - #### setItem

          public void setItem(int item)

      Sets the item value for this SPerfAlertSettings.
      Parameters:
        `item` -

    - #### getEnabled

          public int getEnabled()

      Gets the enabled value for this SPerfAlertSettings.
      Returns:
        enabled

    - #### setEnabled

          public void setEnabled(int enabled)

      Sets the enabled value for this SPerfAlertSettings.
      Parameters:
        `enabled` -

    - #### getMinDeviationPCT

          public double getMinDeviationPCT()

      Gets the minDeviationPCT value for this SPerfAlertSettings.
      Returns:
        minDeviationPCT

    - #### setMinDeviationPCT

          public void setMinDeviationPCT(double minDeviationPCT)

      Sets the minDeviationPCT value for this SPerfAlertSettings.
      Parameters:
        `minDeviationPCT` -

    - #### getMaxDeviationPCT

          public double getMaxDeviationPCT()

      Gets the maxDeviationPCT value for this SPerfAlertSettings.
      Returns:
        maxDeviationPCT

    - #### setMaxDeviationPCT

          public void setMaxDeviationPCT(double maxDeviationPCT)

      Sets the maxDeviationPCT value for this SPerfAlertSettings.
      Parameters:
        `maxDeviationPCT` -

    - #### withItem

          public SPerfAlertSettings withItem(int value)

    - #### withEnabled

          public SPerfAlertSettings withEnabled(int value)

    - #### withMaxDeviationPCT

          public SPerfAlertSettings withMaxDeviationPCT(double value)

    - #### withMinDeviationPCT

          public SPerfAlertSettings withMinDeviationPCT(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.